<?php // $Id: iInsertAuthor.php,v 1.1 2005/10/21 14:09:56 geothms Exp geothms $
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") {// separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>


<center>
<h3 class="maketitle">Geometry Figures Listing</h3>
</center>



<?php
require('loginsub.php');
?>

<?php

// cria uma pesquisa
$sql = "SELECT figureId,teoId,drawerId
          FROM figures
      ORDER BY teoId,figureId";
$resultado = mysql_query($sql,$ligacao);


// O números de campos obtidos
$ncampos =mysql_num_fields($resultado);
$nlinhas =mysql_num_rows($resultado);

echo "<center>";
echo "<h4 class='maketitle'>$nlinhas Geometry Figures</h4>";
echo "</center>";

print "<p>&nbsp;</p>";
print "<center>";
print "<table border=1>\n";
print "<tr>\n";
//print "<th>Figure Id</th><th>Theorem  Id</th><th>Theorem Name</th><th>Drawer Name</th><th>Drawer Version</th><th>&nbsp;</th><th>&nbsp;</th>";
print "<th>Theorem Name</th><th>Drawer Name</th><th>Drawer Version</th><th>&nbsp;</th><th>&nbsp;</th>";
print "</tr>\n\n";
// a variável $nThumbnail está relacionada com o mostrar de miniaturas das figuras.
$nThumbnail=1;
while ($linha = mysql_fetch_assoc($resultado)){
  $nThumbnail=$nThumbnail+1;
  print "<tr>\n";
  $pFigureId=trim($linha['figureId']);
  $pTeoId=trim($linha['teoId']);
  $pDrawerId=trim($linha['drawerId']);
// Obtém a informação acerca do Teorema e do Desenhador
  $sqlThm = "SELECT teoName
               FROM theorems
              WHERE teoId='$pTeoId'";
  $resultadoThm = mysql_query($sqlThm,$ligacao);
  $linhaThm = mysql_fetch_assoc($resultadoThm);
  $pThmName = trim($linhaThm['teoName']);
  $sqlDrw = "SELECT name,version
               FROM drawers
              WHERE drawerId=$pDrawerId";
  $resultadoDrw = mysql_query($sqlDrw,$ligacao);
  $linhaDrw = mysql_fetch_assoc($resultadoDrw);
  $pDrwName = trim($linhaDrw['name']);
  $pDrwVersion = trim($linhaDrw['version']);
  //  print " <td align=center>$pFigureId</td>\n"; 
  //  print " <td>$pTeoId</td>\n";
  print " <td>$pThmName</td>\n";
  print " <td>$pDrwName</td>\n";
  print " <td>$pDrwVersion</td>\n";
  //  print " <td>&nbsp;</td>\n";
  // vai agora criar uma miniatura da imagem
  // começa por apagar as figuras anteriores

  system("rm figureDB*.png figureThumbnail*.png");
  
  // primeiro obtém a imagem da Base de dados

  $sqlFiguraPNG = "SELECT figure 
                     FROM figures 
                    WHERE figureId=$pFigureId"; 
  $resultadoFiguraPNG = mysql_query($sqlFiguraPNG, $ligacao); 
  $linhaFiguraPNG = mysql_fetch_array($resultadoFiguraPNG); 
  $FigurePNG = $linhaFiguraPNG["figure"]; 
  
  $vNameFiguraPNG="figureDB".$nThumbnail.".png";
  $vNameThumbNailPNG="figureThumbnail".$nThumbnail.".png";

  // depois escreve-a num ficheiro
  ob_start();
  print $FigurePNG;
  $texfile=fopen($vNameFiguraPNG,"w");
  fwrite($texfile,ob_get_contents()); 
  fclose($texfile); 
  ob_end_clean(); 
  
  // depois converte-a numa miniatura através do programa imagemagik é
  // de notar que além da miniaturização há (eventualmente) também uma
  // conversão de formatos (jpg para png).
  system("convert -size 80x80 $vNameFiguraPNG -resize 80x80 +profile \"*\" $vNameThumbNailPNG");
  
  print " <td><img src='view_imageThumbnail.php?argumento=$vNameThumbNailPNG' alt='No Figure'></td>";
  print " <td><a href=Forms/formFigure.php?argumento=$pFigureId>See details</a></td>\n";
  print"</tr>\n\n";
 }
print "</table>\n";
print "</center>";
print "<p>&nbsp;</p>";
?>




<?php
  require('footer.inc');
?>
